ProcedureResultBuilder (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.util, class: ProcedureResultBuilder

# Class ProcedureResultBuilder<T>

java.lang.Object
org.apache.cayenne.util.QueryResultBuilder
org.apache.cayenne.util.ProcedureResultBuilder<T>

public class ProcedureResultBuilder<T> extends QueryResultBuilder

Since:
  4.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Class<T>`
  `resultClass`

  ### Fields inherited from class QueryResultBuilder

  `queryResult`
  Modifier and Type
  Field
  Description
  `protected List<QueryResultItem>`
  `queryResult`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcedureResult<T>`
  `build()`
  `static ProcedureResultBuilder`
  `builder()`
  `static ProcedureResultBuilder`
  `builder(int expectedSize)`
  `static <T> ProcedureResultBuilder<T>`
  `builder(int expectedSize, Class<T> resultClass)`
  `static <T> ProcedureResultBuilder<T>`
  `builder(Class<T> resultClass)`

  ### Methods inherited from class QueryResultBuilder

  `addBatchUpdateResult, addSelectResult, empty, singleObjectSelect, singleSelect`
  Modifier and Type
  Method
  Description
  `QueryResultBuilder`
  `addBatchUpdateResult(int[] result)`
  `QueryResultBuilder`
  `addSelectResult(List<?> result)`
  `static QueryResult`
  `empty()`
  `static QueryResult`
  `singleObjectSelect(Object selectObject)`
  `static QueryResult`
  `singleSelect(List<?> selectResult)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### resultClass

    protected Class<T> resultClass

- ## Method Details

  - ### builder

    public static ProcedureResultBuilder builder()

  - ### builder

    public static <T> ProcedureResultBuilder<T> builder(Class<T> resultClass)

  - ### builder

    public static ProcedureResultBuilder builder(int expectedSize)

  - ### builder

    public static <T> ProcedureResultBuilder<T> builder(int expectedSize, Class<T> resultClass)

  - ### build

    public ProcedureResult<T> build()
    Overrides:
      `build` in class `QueryResultBuilder`